# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.88"
name = "dioxus-icons-bs"
version = "0.2.0"
authors = ["Xu Shaohua <shaohua@biofan.org>"]
build = "build.rs"
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Boostrap icons for dioxus framework"
homepage = "https://github.com/RustVis/dioxus-icons"
documentation = "https://docs.rs/dioxus-icons-bs"
readme = "README.md"
keywords = [
    "web",
    "wasm",
    "icons",
    "bootstrap",
    "dioxus",
]
categories = [
    "wasm",
    "web-programming",
]
license = "Apache-2.0"
repository = "https://github.com/RustVis/dioxus-icons"

[lib]
name = "dioxus_icons_bs"
path = "src/lib.rs"

[dependencies.dioxus]
version = "0.7.9"
features = [
    "html",
    "macro",
    "signals",
]
default-features = false

[dependencies.dioxus-icon-component]
version = "0.2.0"

[build-dependencies.anyhow]
version = "1.0.102"

[build-dependencies.zu-icons-util]
version = "0.5.0"

[lints.clippy]
expect_used = "deny"
multiple_crate_versions = "warn"
panic = "deny"
panic_in_result_fn = "deny"
unused_result_ok = "deny"
unwrap_used = "deny"

[lints.clippy.all]
level = "deny"
priority = -1

[lints.clippy.cargo]
level = "deny"
priority = -1

[lints.clippy.nursery]
level = "deny"
priority = -1

[lints.clippy.pedantic]
level = "deny"
priority = -1

[lints.rust]
dead_code = "deny"
non_snake_case = "allow"

[lints.rust.unsafe_code]
level = "deny"
priority = -1
